package com.alastairbreeze.connectedworlds.Entities;

import com.alastairbreeze.connectedworlds.Vec3;
import com.alastairbreeze.connectedworlds.Engine.Core;

public class EntityParticle extends EntityAlive{
	
	long startTime = 0l;
	int col;
	long ttl;
	
	public EntityParticle(Vec3 p, Vec3 v, long t, int c){
		super();
		pos = p;
		vel = v;
		startTime = System.currentTimeMillis();
		ttl = t;
		col = c;
		rot = null;
		collidable = false;
	}
	
	public void init(){
		super.init();
	}
	
	public void update(){
		super.update();
		if(System.currentTimeMillis() > startTime + ttl){
			alive = false;
		}
	}
	
	public void render(){
		Core.renderPoint(pos, 3f,col);
	}
}
