package com.alastairbreeze.connectedworlds.Entities;

import com.alastairbreeze.connectedworlds.Engine.Game;
import com.alastairbreeze.connectedworlds.Entities.Items.EntityItemDagger;
import com.alastairbreeze.connectedworlds.Entities.Items.EntityItemSabre;
import com.alastairbreeze.connectedworlds.Entities.Items.EntityItemSword;

public class EntityUnfriendly extends EntityHuman{

	public EntityUnfriendly(){
		super();
//		clothes = 0xA80630;
		clothes = 0x00;
		skin = 0xFF0949;
		legs = 0xA80630;
		good = false;
		sight = 4f;
		important=true;
	}
	
	public void init(){
		super.init();
		float f = Game.getInstance().rand.nextFloat();
		if(f < 0.6f){
			hold(new EntityItemDagger());
		}else if(f < 0.8f){
			hold(new EntityItemSword());
		}else if(f < 0.9f){
			hold(new EntityItemSabre());
		}
	}
	
	public void update(){
		super.update();
		randTarget();
		
		findEnemy();
//		EntityAlive e2 = getEntityInfront(2f);
//		if(e2!=nsull){
//			
//		}
		
		followTarget();
	}
	
	public void collide(){
		target = null;
		jump();
	}
}
