package com.alastairbreeze.connectedworlds.Entities.Items;

import static org.lwjgl.opengl.GL11.glPopMatrix;
import static org.lwjgl.opengl.GL11.glPushMatrix;

import com.alastairbreeze.connectedworlds.Vec3;
import com.alastairbreeze.connectedworlds.Engine.Game;
import com.alastairbreeze.connectedworlds.Entities.EntityAlive;
import com.alastairbreeze.connectedworlds.Meshes.Cube;

public class EntityItemDagger extends EntityItem {
	
	public EntityItemDagger(){
		super();
		repeatable = false;
	}
	
	public void render(){
		glPushMatrix();
		{
			float cycle = Game.getInstance().cycle;
			if(!alive)cycle = 0;
//			Mesh.translate(new Vec3(), new Vec3(0f,cycle,0f));
			Cube.render(new Vec3(pos.x,pos.y+0.7f,pos.z), new Vec3(0.2f,0.4f,0.11f), new Vec3(0f,0f,0f),0x999999);
			Cube.render(new Vec3(pos.x-0.2f,pos.y+0.7f,pos.z), new Vec3(1f,0.1f,0.1f), new Vec3(0f,0f,0f),0x999999);
		}
		glPopMatrix();
	}
	
	public void use(EntityAlive e){
		super.use(e);
		e.attack(4f*e.scale);
	}
	
	
	public String getName(){
		return "Dagger";
	}
}
