package com.alastairbreeze.connectedworlds.Entities.Items;

import static org.lwjgl.opengl.GL11.glPopMatrix;
import static org.lwjgl.opengl.GL11.glPushMatrix;

import com.alastairbreeze.connectedworlds.Vec3;
import com.alastairbreeze.connectedworlds.Engine.Game;
import com.alastairbreeze.connectedworlds.Entities.EntityAlive;
import com.alastairbreeze.connectedworlds.Meshes.Cube;

public class EntityItemSabre extends EntityItem {

	int sabreCol = 0x00;
	
	public EntityItemSabre(){
		super();
		repeatable = false;
		int i = Game.getInstance().rand.nextInt(4);
		if(i==0){
			sabreCol = 0x00FF48;
		}else if(i==1){
			sabreCol = 0x0DFFDB;
		}else if(i==2){
			sabreCol = 0xFF2700;
		}else if(i==3){
			sabreCol = 0x9B00E8;
		}
	}
	
	public void render(){
		glPushMatrix();
		{
			float cycle = Game.getInstance().cycle;
			if(!alive)cycle = 0;
			
//			Mesh.translate(new Vec3(), new Vec3(0f,cycle,0f));
			Cube.render(new Vec3(pos.x+0.25f,pos.y+0.7f,pos.z), new Vec3(0.4f,0.15f,0.15f), new Vec3(0f,0f,0f),0x333333);
			Cube.render(new Vec3(pos.x-0.6f,pos.y+0.7f,pos.z), new Vec3(2f,0.1f,0.1f), new Vec3(0f,0f,0f),sabreCol);
		}
		glPopMatrix();
	}
	
	public void use(EntityAlive e){
		super.use(e);
		e.attack(7f*e.scale);
	}
	
	
	public String getName(){
		return "Sabre";
	}
}
