package com.alastairbreeze.connectedworlds.Meshes;

import static org.lwjgl.opengl.GL11.*;
import com.alastairbreeze.connectedworlds.Vec3;

public class Mesh {
	
	Vec3 pos = new Vec3();
	Vec3 rot = new Vec3();
	Vec3 dim = new Vec3();
	int color;
	
	public Mesh(){
		pos = new Vec3();
		rot = new Vec3();
		dim = new Vec3();
		color = 0xffffff;
	}
	
	public Mesh(Vec3 p, Vec3 d){
		pos = p;
		rot = new Vec3();
		dim = d;
		color = 0xffffff;
	}
	
	public Mesh(Vec3 p, Vec3 d, Vec3 r){
		pos = p;
		rot = r;
		dim = d;
		color = 0xffffff;
	}
	
	public Mesh(Vec3 p, Vec3 d, int col){
		pos = p;
		rot = new Vec3();
		dim = d;
		color = 0xffffff;
	}

	
	public Mesh(Vec3 p, Vec3 d, Vec3 r, int col){
		pos = p;
		rot = r;
		dim = d;
		color = col;
	}

	public static void translate(Vec3 p, Vec3 r){
		glTranslatef(p.x,p.y,p.z);
		glRotatef(r.x,1,0,0);
		glRotatef(r.y,0,1,0);
		glRotatef(r.z,0,0,1);
	}
	
//	public void render(){
//		render(pos,dim,rot);
//	}
//	
//	public static void render(Vec3 p, Vec3 d){
//		render(p,d,new Vec3(),0xffffff);
//	}
//	
//	public static void render(Vec3 p, Vec3 d, int col){
//		render(p,d,new Vec3(),col);
//	}
//	
//	public static void render(Vec3 p, Vec3 d, Vec3 r){
//		render(p,d,r,0xffffff);
//	}
//	
//	public static void render(Vec3 p, Vec3 d, Vec3 r, int col){
//		glPushMatrix();
//		{
//			translate(p,r);
//			
//			glBegin(GL_QUADS);
//			{
//				renderer(p,d,r,col);
//			}
//			glEnd();
//		}
//		glPopMatrix();
//	}
//	
//	public static void renderer(Vec3 p, Vec3 d, Vec3 r, int col){
////		ACTUAL RENDER CODE
//	}
}