package com.alastairbreeze.connectedworlds.Worlds;

import com.alastairbreeze.connectedworlds.Vec3;
import com.alastairbreeze.connectedworlds.Engine.Core;
import com.alastairbreeze.connectedworlds.Engine.Game;
import com.alastairbreeze.connectedworlds.Meshes.Cube;

public class Flatland extends World{
	Zone zone;
	
	public void init(){
		zone = new Zone();
		zone.init();
	}

	public void render(){
		super.render();
		zone.render();
	}
	
	public float getHeight(float x, float z){
		return zone.getHeight(Math.round(x),Math.round(z));
	}
}
