package com.alastairbreeze.connectedworlds.Entities.Items;

import static org.lwjgl.opengl.GL11.glPopMatrix;
import static org.lwjgl.opengl.GL11.glPushMatrix;

import com.alastairbreeze.connectedworlds.Vec3;
import com.alastairbreeze.connectedworlds.Engine.Game;
import com.alastairbreeze.connectedworlds.Entities.EntityAlive;
import com.alastairbreeze.connectedworlds.Meshes.Cube;

public class EntityItemHealth extends EntityItem{
	
	public void render(){
		glPushMatrix();
		{
			float cycle = Game.getInstance().cycle;
			if(!alive)cycle = 0;
			Cube.render(new Vec3(pos.x,pos.y+0.7f,pos.z), new Vec3(0.1f,0.4f,0.1f), new Vec3(0f,cycle,0f),0x54ED4A);
			Cube.render(new Vec3(pos.x,pos.y+0.7f,pos.z), new Vec3(0.4f,0.1f,0.1f), new Vec3(0f,cycle,0f),0x54ED4A);
		}
		glPopMatrix();
	}
	
	public void use(EntityAlive e){
		super.use(e);
		used = true;
		e.heal(10);
	}
	
	
	public String getName(){
		return "Heal";
	}
}
