package com.alastairbreeze.connectedworlds.Entities.Items;

import static org.lwjgl.opengl.GL11.glPopMatrix;
import static org.lwjgl.opengl.GL11.glPushMatrix;

import com.alastairbreeze.connectedworlds.Vec3;
import com.alastairbreeze.connectedworlds.Engine.Game;
import com.alastairbreeze.connectedworlds.Entities.EntityAlive;
import com.alastairbreeze.connectedworlds.Meshes.Cube;

public class EntityItemPoints extends EntityItem{
	public void render(){
		glPushMatrix();
		{
			float cycle = Game.getInstance().cycle;
			Cube.render(new Vec3(pos.x,pos.y+0.7f,pos.z), new Vec3(0.1f,0.1f,0.1f), new Vec3(0f,cycle,0f),0xFFC200);
		}
		glPopMatrix();
	}
	
	public void use(EntityAlive e){
		super.use(e);
		used = true;
	}
	
	public void pickup(EntityAlive e){
		alive = false;
		e.points++;
	}
	
	
	public String getName(){
		return "Points";
	}
}
